<style type="text/css">
.col-lg-12,.col-lg-6{padding:1em!important;}   
.col-sm-6,.col-sm-12{padding:1em!important;}
.abt{-webkit-transition: all 1400ms;transition: all 1000ms;border:2px solid #eee;font-weight:bold;border-radius:30px!important;padding:1.5em 1em!important;margin-left:1em;text-transform:uppercase!important;}
.abtn{-webkit-transition: all 1000ms;transition: all 1000ms;border:2px solid #eee;margin-left:0em;padding:1.5em 2em!important;text-align:center;}
.mba>h3{vertical-align:text-bottom;padding:0;}
.mba>img{vertical-align:text-top;margin:1em 0 2em 0;padding:0;}
.mbi{margin-bottom:1em;}
.mb{margin-bottom:3em;}
.it{padding:0 1em;}
.items{word-wrap:break-word;text-align:center;}
.aomt{vertical-align:text-top;margin:0 auto;text-align:center;} 
</style>
<table class="table table-bordered">
    <thead>
        <tr>
          <th colspan="1"><div class="aomt mba"><h3><?php echo $text_affirm_order_info; ?></h3></div></th>
          <th colspan="1"><button class="btn abt btn-info col-sm-3" id="button-clear">Clear</button><button class="btn abt btn-primary col-sm-3" id="button-read">Read</button><button class="btn abt btn-danger col-sm-3" id="button-void">Void</button></th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><?php echo $text_order_id; ?></td>
            <td><?php echo $order_id; ?></td>
        </tr>
        <tr>
            <td><?php echo $text_charge_id; ?></td>
            <td><?php echo $charge_id; ?></td>
        </tr>
        <tr>
            <td>Total Amount</td>
            <td id="order_amount" ><?php echo $order_amount; ?></td>
        </tr>
        <tr>
            <td>Status</td>
            <td id="order_status" style="text-transform:capitalize;"><?php echo $status; ?></td>
        </tr>
    </tbody>
</table>
<div id="affirm-order-management">
<div class="row">
    <div class="col-sm-12"><div id="loading-void"></div><div id="loading-read"></div>
    <a name="details"></a>
      <div id="affirm-transactions"></div>
      <div id="affirm-response"></div>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-3 col-md-4 col-sm-12">
        <button class="btn abt abtn btn-primary" id="button-capture">Capture</button><br /><br />
        <div id="loading-capture"></div>
        <input class="form-control mbi" type="text" id="capture-shipping-carrier" value="<?php echo $shipping_carrier; ?>" placeholder="Shipping carrier (optional)" /><input class="form-control mbi" type="text" id="capture-tracking-number" value="<?php echo $shipping_confirmation; ?>" placeholder="Shipping tracking number (optional)" /><br />
    </div>
    <div class="col-lg-3 col-md-4 col-sm-12">
      <button class="btn abt abtn btn-info" id="button-update">Update</button><br /><br />
      <input class="form-control mbi" type="text" id="carrier" value="<?php echo $shipping_carrier; ?>" placeholder="Shipping carrier" /><input class="form-control mbi" value="<?php echo $shipping_confirmation; ?>" type="text" id="confirmation" placeholder="Shipping tracking number" /><br />
      <div id="loading-update"></div>
      <button class="form-control mbi" href="#more" id="update-more">More fields...</button><br /> 
    </div>
    <div class="col-lg-3 col-md-4 col-sm-12">
      <button class="btn abt abtn btn-warning" id="button-refund">Refund</button><br /><br />
      <div id="loading-refund"></div>
      <input class="form-control" type="text" id="refund-amount" placeholder="$amount"></input><br />
    </div>
  </div>
</div>
<script>
$('#order_amount').text(dotNotation(<?php echo $order_amount; ?>));
function dotNotation(amount) { return "$"+(amount / 100).toFixed(2); };
function aI(r,un) {
  var x = r; var y = r*1; var z = '.00'; y = y+'';pos = y.indexOf('.');
  if(pos==-1){ y = y + z; } 
  else{ var inte = y.substring(0,pos); var deci = y.substring(pos+1); while(deci.length<2){ deci=deci+'0'; y=inte +'.'+ deci; } }
  if(y=='0.00'){ var refao = y;
  if(refao.createTextRange){ var rang = refao.createTextRange(); rang.move("character", 0); rang.select(); } 
  else if(refao.setSelectionRange){ refao.setSelectionRange(0, 0); }
  }
  if(un=="un"){ return x; }
  return y;
};
$("#refund-amount").focus(function () {
   var refundAmount = 0; var ramount = 0; r = $('#refund-amount').val(); ra = aI(r); document.getElementById("refund-amount").value = ra;
});
$("#refund-amount").hover(function(){ 
  if(document.getElementById("refund-amount").value =='0.00'){
      var refam = document.getElementById("refund-amount");
      if (refam.createTextRange) { var rang = refam.createTextRange(); rang.move("character", 0); rang.select(); } else if (refam.setSelectionRange) { refam.setSelectionRange(0, 0); }
  }
  $("#refund-amount").focus();
});
$("#update-more").hover(function(){
  $.ajax({
    type: 'POST',
    dataType: 'json',
    data: { 'charge_id': '<?php echo $charge_id; ?>' },
    url: 'index.php?route=payment/affirm/read&token=<?php echo $token; ?>',
    success: function (data) {
     var html = '';
      if("<?php echo $type; ?>" != "update" && "<?php echo $type; ?>" != "read"){
      $('#order_status').text(data.type);
       html += '<input class="form-control mbi" type="text" id="phone" placeholder="shipping_phone" value="'+ data.details.shipping.phone_number +'"></input>';
       html += '<input class="form-control mbi" type="text" id="email" placeholder="shipping_email" value="'+ data.details.shipping.email +'"></input>';  
       html += '<input class="form-control mbi" type="text" id="first" placeholder="shipping_name_first" value="'+ data.details.shipping.name.first +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="last" placeholder="shipping_name_last" value="'+ data.details.shipping.name.last +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="full" placeholder="shipping_name_full" value="'+ data.details.shipping.name.full +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="city" placeholder="shipping_city" value="'+ data.details.shipping.address.city +'"></input>';  
       html += '<input class="form-control mbi" type="text" id="country" placeholder="shipping_country" value="'+ data.details.shipping.address.country +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="zipcode" placeholder="shipping_zipcode" value="'+ data.details.shipping.address.zipcode +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line1" placeholder="shipping_line1" value="'+ data.details.shipping.address.line1 +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line2" placeholder="shipping_line2" value="'+ data.details.shipping.address.line2 +'"></input>';
       html += '<input class="form-control mbi" type="text" id="state" placeholder="shipping_state" value="'+ data.details.shipping.address.state +'"></input>';
     }
     if("<?php echo $type; ?>" == "update" || "<?php echo $type; ?>" == "read"){
      $('#order_status').text(data.type);
       html += '<input class="form-control mbi" type="text" id="phone" placeholder="shipping_phone" value="<?php echo $phone; ?>"></input>';
       html += '<input class="form-control mbi" type="text" id="email" placeholder="shipping_email" value="<?php echo $email; ?>"></input>';  
       html += '<input class="form-control mbi" type="text" id="first" placeholder="shipping_name_first" value="<?php echo $first; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="last" placeholder="shipping_name_last" value="<?php echo $last; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="full" placeholder="shipping_name_full" value="<?php echo $full; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="city" placeholder="shipping_city" value="<?php echo $city; ?>"></input>';  
       html += '<input class="form-control mbi" type="text" id="country" placeholder="shipping_country" value="<?php echo $country; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="zipcode" placeholder="shipping_zipcode" value="<?php echo $zipcode; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line1" placeholder="shipping_line1" value="<?php echo $line1; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line2" placeholder="shipping_line2" value="<?php echo $line2; ?>"></input>';
       html += '<input class="form-control mbi" type="text" id="state" placeholder="shipping_state" value="<?php echo $state; ?>"></input>';
      }
     $("#phone").val(data.details.shipping.phone_number);
     $("#email").val(data.details.shipping.email); 
     $("#first").val(data.details.shipping.name.first);
     $("#last").val(data.details.shipping.name.last);
     $("#full").val(data.details.shipping.name.full);
     $("#city").val(data.details.shipping.address.city);
     $("#country").val(data.details.shipping.address.country);
     $("#zipcode").val(data.details.shipping.address.zipcode);
     $("#line1").val(data.details.shipping.address.line1); 
     $("#line2").val(data.details.shipping.address.line2); 
     $("#state").val(data.details.shipping.address.state);
     $('#loading-update').empty().append(html);
    }
   });
   $("#update-more").hide();
});

$("#update-more").click(function(){
  $.ajax({
    type: 'POST',
    dataType: 'json',
    data: { 'charge_id': '<?php echo $charge_id; ?>' },
    url: 'index.php?route=payment/affirm/read&token=<?php echo $token; ?>',
    success: function (data) {
     var html = '';
      if("<?php echo $type; ?>" != "update" && "<?php echo $type; ?>" != "read"){
        $('#order_status').text(data.type); 
       html += '<input class="form-control mbi" type="text" id="phone" placeholder="shipping_phone" value="'+ data.details.shipping.phone_number +'"></input>';
       html += '<input class="form-control mbi" type="text" id="email" placeholder="shipping_email" value="'+ data.details.shipping.email +'"></input>';  
       html += '<input class="form-control mbi" type="text" id="first" placeholder="shipping_name_first" value="'+ data.details.shipping.name.first +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="last" placeholder="shipping_name_last" value="'+ data.details.shipping.name.last +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="full" placeholder="shipping_name_full" value="'+ data.details.shipping.name.full +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="city" placeholder="shipping_city" value="'+ data.details.shipping.address.city +'"></input>';  
       html += '<input class="form-control mbi" type="text" id="country" placeholder="shipping_country" value="'+ data.details.shipping.address.country +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="zipcode" placeholder="shipping_zipcode" value="'+ data.details.shipping.address.zipcode +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line1" placeholder="shipping_line1" value="'+ data.details.shipping.address.line1 +'"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line2" placeholder="shipping_line2" value="'+ data.details.shipping.address.line2 +'"></input>';
       html += '<input class="form-control mbi" type="text" id="state" placeholder="shipping_state" value="'+ data.details.shipping.address.state +'"></input>';
    }
      if("<?php echo $type; ?>" == "update" || "<?php echo $type; ?>" == "read"){
       html += '<input class="form-control mbi" type="text" id="phone" placeholder="shipping_phone" value="<?php echo $phone; ?>"></input>';
       html += '<input class="form-control mbi" type="text" id="email" placeholder="shipping_email" value="<?php echo $email; ?>"></input>';  
       html += '<input class="form-control mbi" type="text" id="first" placeholder="shipping_name_first" value="<?php echo $first; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="last" placeholder="shipping_name_last" value="<?php echo $last; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="full" placeholder="shipping_name_full" value="<?php echo $full; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="city" placeholder="shipping_city" value="<?php echo $city; ?>"></input>';  
       html += '<input class="form-control mbi" type="text" id="country" placeholder="shipping_country" value="<?php echo $country; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="zipcode" placeholder="shipping_zipcode" value="<?php echo $zipcode; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line1" placeholder="shipping_line1" value="<?php echo $line1; ?>"></input>'; 
       html += '<input class="form-control mbi" type="text" id="line2" placeholder="shipping_line2" value="<?php echo $line2; ?>"></input>';
       html += '<input class="form-control mbi" type="text" id="state" placeholder="shipping_state" value="<?php echo $state; ?>"></input>';
      }
     $("#phone").val(data.details.shipping.phone_number);
     $("#email").val(data.details.shipping.email); 
     $("#first").val(data.details.shipping.name.first);
     $("#last").val(data.details.shipping.name.last);
     $("#full").val(data.details.shipping.name.full);
     $("#city").val(data.details.shipping.address.city);
     $("#country").val(data.details.shipping.address.country);
     $("#zipcode").val(data.details.shipping.address.zipcode);
     $("#line1").val(data.details.shipping.address.line1); 
     $("#line2").val(data.details.shipping.address.line2); 
     $("#state").val(data.details.shipping.address.state);
     $('#loading-update').empty().append(html);
    }
   });
   $("#update-more").hide();
});
     
$("#button-refund").click(function () {
      var ramount = $('#refund-amount').val();
      if(ramount == '0' || ramount == '000' || ramount == '0.00')
      {
        ramount = 0;
      }
      else
      {
        ramount = ramount.split('.').join("");
      }
      if (confirm("You're about to process a refund. Note: Refunds are not reversible.")) {
        $.ajax({
          type: 'POST',
          dataType: 'json',
          data: {'order_id': '<?php echo $order_id; ?>', 'charge_id': '<?php echo $charge_id; ?>', 'amount': ramount }, 
          url: 'index.php?route=payment/affirm/refundCharge&token=<?php echo $token; ?>&charge_id=<?php echo $charge_id; ?>',
          beforeSend: function () {
          },
          success: function (data) {
            var html = '';
            if(data.type == "refund") {
            $('#order_status').text(data.type); 
            html += '<h3>Order refunded.</h3>';
            html += '<div class="row"><div class="col-sm-12 col-lg-12">';
            html += ' Created: ' + data.created + ' ';
            html += ' Charge id: ' + data.charge_id + ' ';
            html += ' Process type: ' + data.type + ' ';
            html += ' Transaction id: ' + data.transaction_id + ' ';
            html += ' Fee refunded: ' + data.fee_refunded + ' ';
            html += ' Amount refunded: ' + data.amount + ' ';
            html += '</div></div>';
            }
            if(data.type != "refund") {
              html += '<h3>Order refund error</h3>';
              html += '<div class="row"><div class="col-sm-12 col-lg-12">';                                              
              html += ' Code: ' + data.code + ' ';  
              html += ' Message: ' + data.message + ' ';   
              html += ' Status code: ' + data.status_code + ' ';  
              html += '</div></div>';
            }
            $('#affirm-transactions').empty().append(html);
            if (data.type == 'refund') {
              $('#button-refund').removeClass("btn-warning").addClass("btn-success");
              $('#refund-amount').show().fadeIn();
            }
          },
          error: function (data) {
            $('#button-refund').addClass("btn-danger");
          }
        }).done(function() {
          $('#button-refund').removeClass("btn-warning");
      });
    }
  });
$("#button-clear").click(function () { $('#affirm-transactions').empty(); });
$("#button-void").click(function () { 
  $.ajax({
          type: 'POST',
          dataType: 'json',
          data: { 'charge_id': '<?php echo $charge_id; ?>' },
          url: 'index.php?route=payment/affirm/void&token=<?php echo $token; ?>',
          success: function (data) {
          var html = '';
          if(data.type == "void") { 
            $('#order_status').text(data.type);
            html += '<h3>Order voided.</h3>';
            html += '<div class="row"><div class="col-sm-12 col-lg-12">';      
            html += ' Created: ' + data.created + '</td>';  
            html += ' Process type: ' + data.type + '</td>';
            html += ' Void id: ' + data.id + '</td>';   
            html += '</div></div>';
          }
          if(data.code != undefined)
          {
             html += '<h3>Order void error</h3>';
              html += '<div class="row"><div class="col-sm-12 col-lg-12">';                                              
              html += ' Code: ' + data.code + ' ';  
              html += ' Message: ' + data.message + ' ';   
              html += ' Status code: ' + data.status_code + ' ';  
              html += '</div></div>';
          }
              $('#affirm-transactions').empty().append(html);
          },
          error: function (data) {
              var html = '<h3>Voided error</h3>';
              html += '<div class="row"><div class="col-sm-12 col-lg-12">';                                                         
              html += ' Status code: ' + data.status_code + ' ';     
              html += ' Response message: ' + data.message + ' ';
              html += '</div></div>';
              $('#affirm-transactions').empty().append(html);
          }
        })
  });
$("#button-read").click(function () { 
  $.ajax({
          type: 'POST',
          dataType: 'json',
          data: { 'charge_id': '<?php echo $charge_id; ?>' },
          url: 'index.php?route=payment/affirm/read&token=<?php echo $token; ?>',
          success: function (data) {
          
          var html = '';
          if(data.id) {
              $("#phone").val(data.details.shipping.phone_number);
              $("#email").val(data.details.shipping.email); 
              $("#first").val(data.details.shipping.name.first);
              $("#last").val(data.details.shipping.name.last);
              $("#full").val(data.details.shipping.name.full);
              $("#city").val(data.details.shipping.address.city);
              $("#country").val(data.details.shipping.address.country);
              $("#zipcode").val(data.details.shipping.address.zipcode);
              $("#line1").val(data.details.shipping.address.line1); 
              $("#line2").val(data.details.shipping.address.line2); 
              $("#state").val(data.details.shipping.address.state);
              $('#order_status').text(data.status); 
              html += '<h3>API Version: ' + data.details.api_version + ' Charge Details</h3>';
              html += '<div class="mb container">';
              html += '<div class="row"><div class="col-sm-12 col-lg-10"> <b>Created:</b> ' + data.created + ' <b>Loan ID:</b> ' + data.id + ' <b>Order ID:</b> ' + data.order_id + '</b> <b>Store Name:</b> ' + data.entity_name + ' <b>Status: ' + data.status + '</b>';
              if(data.refund_expires) { html += ' <b>Refund Expires:</b> ' + data.refund_expires + ' '; }      
              html += '</div><div class="row">';                  
              html += '<div class="text-left col-sm-12 col-lg-10"><h4>Totals:</h4><br /><h3><b>Shipping:</b> ' + data.details.shipping_amount + ' <b>Tax:</b> ' + data.details.tax_amount + ' <b>Total:</b> ' + data.details.total + ' <b>Balance: ' + data.balance + '</b></h3>';    
              if(data.refunded_amount != 0) {
              html += '<h4> <b>Refunded:</b> ' + data.refunded_amount + ' <b>Payable:</b> ' + data.payable + '</h4></div>';
              }
              else{
              html += ' Payable: ' + data.payable + '</div>';   
              html += '</div>';
              }
                
              html += '<div class="col-sm-12 col-lg-10"><h4>Billing &amp; Shipping Details: </h4>';
              html += '<div class="col-sm-12 col-lg-6"><b>Billing:</b><br /><b>' + data.details.billing.name.full + '</b><br /> ';
              html += '<br />  ' + data.details.billing.address.line1 + ' ';
              if(data.details.billing.address.line2 == ""){ html += '<br />'; } else { html += '<br />' + data.details.billing.address.line2 + '<br />' }
              html += data.details.billing.address.city + ' ' + data.details.billing.address.zipcode + ', ' + data.details.billing.address.state + ', ' + data.details.billing.address.country + ' ';
              html += '<br />' + data.details.billing.phone_number + '<br />' + data.details.billing.email + '</div>';
              html += '<div class="col-sm-12 col-lg-6"><b>Shipping:</b><br /><b>' + data.details.shipping.name.full + '</b><br /> ';
              html += '<br />  ' + data.details.shipping.address.line1 + ' ';
              if(data.details.shipping.address.line2 == ""){ html += '<br />'; } else { html += '<br />' + data.details.shipping.address.line2 + '<br />' }
              html += data.details.shipping.address.city + ' ' + data.details.shipping.address.zipcode + ', ' + data.details.shipping.address.state + ', ' + data.details.shipping.address.country + ' ';
              html += '<br />' + data.details.shipping.phone_number + '<br />' + data.details.shipping.email + '</div>';
              html += '</div></div>';
              
              if(data.details.discounts) {
              html += '<div class="row">';
              html += '<div class="col-sm-12 col-lg-10"><h4>Discounts: </h4>';
              for (var dc in data.details.discounts) {
                if (!data.details.discounts.hasOwnProperty(dc)) continue;
                var dao = data.details.discounts[dc];
                for (var cp in dao) {
                  if(!dao.hasOwnProperty(cp)) continue;
                  html += '<div class="col-sm-12 col-lg-12 it"><b>'+ cp + "</b>: " + dao[cp] + '</div>'; 
                }
                html += '<br />';
              }  
              html += '</div></div>';
              }
              
              
              if(data.details.items){
              html += '<div class="items row">'; 
              html += '<div class="text-left col-sm-12 col-lg-10"><h4>Items: </h4>';
              for (var ik in data.details.items) {
                if (!data.details.items.hasOwnProperty(ik)) continue;
                var io = data.details.items[ik];
                html += '<div class="text-left col-sm-12 col-lg-12 it">';
                for (var ip in io) {
                  if(!io.hasOwnProperty(ip)) continue;
                  html += '<div class="text-left col-sm-12 col-lg-2"><b>'+ ip + "</b>: " + io[ip] + '</div>'; 
                }
                html += '</div>';
              }
              html += '</div></div>';
              }
              
              if(data.events){
              html += '<div class="row">'; 
              html += '<div class="text-left col-sm-12 col-lg-10"><h4>Events: </h4>';
                for (var ek in data.events) {
                  if (!data.events.hasOwnProperty(ek)) continue;
                  var eo = data.events[ek];
                  html += '<div class="col-sm-12 col-lg-12"><ol>';
                  for (var ep in eo) { 
                    if(!eo.hasOwnProperty(ep)) continue;
                    if(ep == "created"){
                    html += '<div class="text-left col-sm-12 col-lg-12"><li>'+ ep + ': ' + eo[ep] + '</li></div>'; 
                    } else {
                    html += '<div class="text-left col-sm-12 col-lg-2"><li>'+ ep + ': ' + eo[ep] + '</li></div>'; 
                    }
                  }  
                  html += '</ol></div>';
                }
              html += '</div></div>';
              }
              
              if(data.events.shipping){
              html += '<div class="row">'; 
              html += '<div class="text-left col-sm-12 col-lg-10"><h4>Shipping Events: </h4>';
                for (var eks in data.events) {
                  if (!data.events.hasOwnProperty(eks)) continue;
                  var eos = data.events[eks];
                  html += '<div class="col-sm-12 col-lg-12"><ol>';
                  for (var eps in eos) { 
                    if(!eos.hasOwnProperty(eps)) continue;
                    if(eps == "created"){
                    html += '<div class="text-left col-sm-12 col-lg-12"><li>'+ eps + ': ' + eos[eps] + '</li></div>'; 
                    } else {
                    html += '<div class="text-left col-sm-12 col-lg-2"><li>'+ eps + ': ' + eos[eps] + '</li></div>'; 
                    }
                  }  
                  html += '</ol></div>';
                }
              html += '</div></div>';
              }
              
              html += '<div class="container">';             
              html += '<div class="items row">'; 
              html += '<div class="text-left col-sm-12 col-lg-12"><h4>Additional order details: </h4>';
              html += '<ul><li>Currency: ' + data.currency + '</li>';
              html += '<li>Refundable: ' + data.refundable + '</li>';
              html += '<li>Checkout Flow Type: ' + data.details.checkout_flow_type + '</li>';
              html += '<li>Checkout ID: ' + data.details.checkout_id + '</li>';
              html += '<li>Checkout Type: ' + data.details.checkout_type + '</li>';
              html += '<li>Loan Type: ' + data.details.loan_type + '</li>';  
              if(data.details.financing_program_external_name == data.details.financing_program_name) {      
              html += '<li>Financing program name: ' + data.details.financing_program_name + '</li>';
              }
              else {
              html += '<li>Financing program name: ' + data.details.financing_program_name + '</li>';
              html += '<li>Financing program external name: ' + data.details.financing_program_external_name + '</li>';    
              }      
              html += '<li>Financing program: ' + data.financing_program + '</li>';   
              if(data.auth_hold != 0){ html += '<li>Auth Hold: ' + data.auth_hold + '</li>'; }
              if(data.charge_event_count != 0){ html += '<li>Event Count: ' + data.charge_event_count + '</li>'; }
              html += '<li>In-Store: ' + data.is_instore + '</li>';  
              html += '<li>Expires: ' + data.expires + '</li>';  
              html += '<li>Voided: ' + data.void + '</li>';          
              html += '<li>Marqeta charge: ' + data.is_marqeta_charge + '</li>';        
              html += '<li>Pending: ' + data.pending + '</li>'; 
              html += '<li>Platform: ' + data.platform + '</li>';             
              html += '<li>Under dispute: ' + data.under_dispute + '</li></ul>'; 
              html += '</div></div></div>';
          }
          if(data.code != undefined)
          {
             html += '<h3>Order read error</h3>';
              html += '<div class="row">';
              html += '<div class="col-sm-12 col-lg-12">';                                              
              html += ' Code: ' + data.code + ' ';  
              html += ' Message: ' + data.message + ' ';   
              html += ' Status code: ' + data.status_code + ' ';  
              html += '</div></div>';
          }
              $('#affirm-transactions').empty().append(html);
              if(data.refunded_amount != 0) { $('loading-refund').append(data.refunded_amount); }
          },
          error: function (data) {
              var html = '<h3>Read error</h3>';
              html += '<div class="row">';
              html += '<div class="col-sm-12 col-lg-12">';                                                         
              html += ' Status code: ' + data.status_code + ' ';     
              html += ' Response message: ' + data.message + ' ';
              html += '</div></div>';
              $('#affirm-transactions').empty().append(html);
          }
        })
  });  
$("#button-capture").click(function () { 
  $.ajax({
          type: 'POST',
          dataType: 'json',
          data: { 'order_id': '<?php echo $order_id; ?>', 'shipping_carrier': $('#capture-shipping-carrier').val(), 'shipping_confirmation': $('#capture-tracking-number').val() },
          url: 'index.php?route=payment/affirm/captureCharge&token=<?php echo $token; ?>',
          success: function (data) {
          var html = '';
          if(data.type == "capture") {  
            html += '<h3>Order captured.</h3>';
            html += '<div class="row">';      
            html += '<div class="col-sm-12 col-lg-12"> Created: ' + data.created + ' ';
            html += ' Process Type: ' + data.type + ' ';
            html += ' Transaction Id: ' + data.transaction_id + ' ';
            html += ' Fee: ' + data.fee + ' ';  
            if(data.shipping_carrier){ html += ' Shipping Carrier: ' + data.shipping_carrier + ' '; }
            if(data.shipping_confirmation){ html += ' Shipping Confirmation: ' + data.shipping_confirmation + ' '; }
            html += ' Order Id: ' + data.order_id + ' ';   
            html += ' Capture Id: ' + data.id + ' '; 
            html += '</div></div>';
          }
          if(data.type != "capture")
          {
            html += '<h3>Order capture error</h3>';
            html += '<div class="row"><div class="col-sm-12 col-lg-12">';                                              
            html += ' Code: ' + data.code + ' ';  
            html += ' Message: ' + data.message + ' ';   
            html += ' Status Code: ' + data.status_code + ' ';  
            html += '</div></div>';
          }
          
          $('#affirm-transactions').empty().append(html);
          
          },
          error: function (data) {
              var error_html = '<h3>Capture error</h3>';
              error_html += '<div class="row"><div class="col-sm-12 col-lg-12">';                                                      
              error_html += ' Status code: ' + data.status_code + ' ';   
              error_html += ' Response message: ' + data.message + ' ';
              error_html += '</div></div>';
              $('#affirm-transactions').empty().append(error_html);
          }
        })
});  
$("#button-update").click(function () {
  
if($('#city').val() == undefined){  
  $.ajax({
          type: 'POST',
          dataType: 'json',
          data: { 'shipping_carrier': $('#carrier').val(), 'charge_id': '<?php echo $charge_id; ?>', 'shipping_confirmation': $('#confirmation').val() },
          url: 'index.php?route=payment/affirm/updateCharge&token=<?php echo $token; ?>&charge_id=<?php echo $charge_id; ?>',
          success: function (data) {
              var html = '<h3>Order updated.</h3>';
              html += '<div class="row"><div class="col-sm-12 col-lg-12">';  
              html += ' Created: ' + data.created + ' ';
              html += ' Affirm ID: ' + data.id + ' ';
              html += ' Shipping Carrier: ' + data.shipping_carrier + ' ';
              html += ' Shipping Confirmation: ' + data.shipping_confirmation + ' ';
              html += '</div></div>';
              $('#affirm-transactions').empty().append(html);
               $('#capture-tracking-number').val(data.shipping_confirmation);
              $('#capture-shipping-carrier').val(data.shipping_carrier);
              if (data.type != undefined) {
                alert("Loan ID: <?php echo $charge_id; ?> " + data.type +" command has been processed.");
              }
          },
          error: function (data) {
            alert(data);
          }
        }).done(function() {
        $('#button-update').removeClass("btn-info");
  });
} else{
 $.ajax({
          type: 'POST',
          dataType: 'json',
          data: { 
          'city':  $('#city').val(), 
          'state': $('#state').val(), 
          'first': $('#first').val(),
          'last': $('#last').val(),  
          'full': $('#full').val(),  
          'country':  $('#country').val(), 
          'line1': $('#line1').val(), 
          'line2': $('#line2').val(),
          'phone': $('#phone').val(), 
          'zipcode': $('#zipcode').val(), 
          'email': $('#email').val(), 
          'shipping_carrier': $('#carrier').val(), 
          'charge_id': '<?php echo $charge_id; ?>',
          'shipping_confirmation': $('#confirmation').val() 
          },
          url: 'index.php?route=payment/affirm/updateShipping&token=<?php echo $token; ?>&charge_id=<?php echo $charge_id; ?>',
          success: function (data) {
             var html = '<h3>Order updated.</h3>';
              html += '<div class="row"><div class="col-sm-12 col-lg-12">';  
              html += ' Created: ' + data.created + ' ';
              html += ' Affirm ID: ' + data.id + ' ';
              html += ' Shipping Carrier: ' + data.shipping_carrier + ' ';
              html += ' Shipping Confirmation: ' + data.shipping_confirmation + ' ';
              html += '</div></div>';
              $('#affirm-transactions').empty().append(html);
              if (data.type != undefined) {
                alert("Loan ID: <?php echo $charge_id; ?> " + data.type + " command processed.");
              }
              if($('#confirmation').val() != ''){
              $('#capture-tracking-number').val($('#confirmation').val());
              $('#capture-shipping-carrier').val($('#carrier').val());
              }
          },
          error: function (data) {
          console.log(data.message + " <?php echo $charge_id; ?>");
          }
        }).done(function() {
        $('#button-update').removeClass("btn-info");
  });
} 
});  
</script>