<?php
 /* 
  * Affirm for OpenCart 2.2
  * Copyright Affirm, Inc. 2019 */

 $this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "affirm_event` (
        `event_id` int NOT NULL AUTO_INCREMENT,
        `affirm_id` varchar(191) NOT NULL,
        `type` varchar(10) NOT NULL,
        `message` text, 
        `status` varchar(10),
        `code` varchar(10), 
        `created` varchar(64),
        `stamp` varchar(64),
        PRIMARY KEY (`event_id`)
        ) ENGINE=MyISAM DEFAULT COLLATE=utf8_general_ci;");
        
        $this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "affirm_marketing` (
        `promo_id` int NOT NULL AUTO_INCREMENT,
        `area` varchar(191) NOT NULL,
        `type` varchar(191), 
        `class` varchar(191),
        `amount` varchar(30), 
        `color` varchar(30) NOT NULL,
        `promo_external_id` varchar(128),
        `aff_cid` varchar(191),
        `aff_fm` varchar(10),
        `footer` text,
        `description` text,
        `headline` text,
        `tagline` text, 
        `html_ala` text, 
        `ala` text, 
        `content_space_1` varchar(191),
        `content_space_2` varchar(191),
        `config_color` varchar(191),
        `config_fontFamily` varchar(191),
        `promo_prequal_enabled` varchar(1),
        `promo_style` varchar(191),
        `image_hero` varchar(191),
        `image_hero2x` varchar(191),
        `image_logo` varchar(191),
        `image_logo2x` varchar(191),
        `button` varchar(191),
        `offer_terms` text,
        `offer_expiry` varchar(191),       
        `educational_page_url` varchar(191),
        `product_id` int(11),
        `category_id` int(11),
        `page_id` int(11),
        `created` varchar(64),
        `status` varchar(1),
        PRIMARY KEY (`promo_id`)
        ) ENGINE=MyISAM DEFAULT COLLATE=utf8_general_ci;");
        
        $this->db->query("CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "affirm_order` (
        `order_id` int NOT NULL,  
        `charge_id` varchar(64) NOT NULL, 
        `merchant_id` varchar(64),
        `affirm_id` varchar(64) NOT NULL, 
        `type` varchar(40),
        `financing_program` varchar(64),  
        `created` varchar(64),
        `checkout_type` varchar(191), 
        `refundable` varchar(40),
        `transaction_id` varchar(64) NOT NULL,
        `user_id` int(11),
        `customer_name` varchar(191),
        `customer_email` varchar(191),
        `fee` varchar(32),
        `amount` varchar(32) NOT NULL,
        `balance` varchar(32),
        `tax_amount` varchar(32),
        `shipping_amount` varchar(32),
        `refunded_amount` varchar(32), 
        `fee_refunded` varchar(32),
        `order_amount` varchar(32),
        `payable` varchar(32),
        `shipping_carrier` varchar(191),
        `shipping_confirmation` varchar(191), 
        `shipping_address_city` varchar(191), 
        `shipping_address_state` varchar(64),
        `shipping_address_country` varchar(74),
        `shipping_address_zipcode` varchar(40), 
        `shipping_address_line1` varchar(191),  
        `shipping_address_line2` varchar(191),
        `shipping_name_first` varchar(90),
        `shipping_name_last` varchar(90),
        `shipping_name_full` varchar(191),    
        `shipping_phone` varchar(40),
        `shipping_email` varchar(191),
        `auth_hold` varchar(40),
        `void` varchar(40),
        `expires` varchar(40),
        `merchant_external_reference` text,
        `message` varchar(191),
        `pending` varchar(191),
        `status_code` varchar(40), 
        `status` varchar(40), 
        `stamp` varchar(64),
        `code` varchar(40),
        PRIMARY KEY (`order_id`)
        ) ENGINE=MyISAM DEFAULT COLLATE=utf8_general_ci;");
?>